/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.olog2n.demo.pgcon2010.exec;

import com.olog2n.demo.pgcon2010.model.Student;
import com.olog2n.demo.pgcon2010.util.HibernateUtil;
import java.util.List;
import org.hibernate.Session;

/**
 *
 * @author aht
 */
public class JoinsDemo {
    private static void doTest(Session session) {
        List<Student> students = getStudents(session);
        for(Student student : students) {
            System.out.println("Name: " + student.getName() + ", score: " + student.getScore().toPlainString());
            System.out.println("Surname: " + student.getPerson().getSurname());
        }
    }

    private static List<Student> getStudents(Session session) {
        session.beginTransaction();
        List<Student> result = session.createQuery("from Student").list();
        session.getTransaction().commit();
        return result;
    }

    public static void main(String[] args) {
        Session session = HibernateUtil.getSessionFactory().openSession();
        
        doTest(session);

    }
}
